Tokenize an Account

View as Markdown

Convert legacy ACH ABA routing and account numbers or an International Bank Account Number (IBAN) into a verified token to meet NACHA requirements.

Authentication

AuthorizationBasic

Query parameters

verifyAccountbooleanOptionalDefaults to false
If true, Trustly will verify the provided account data. Default value is false.

Request

merchantIdstringRequired>=1 character
accountobjectRequired

Response

OK
requiredany
nameOnAccountstring>=1 character
Account owner name.
namestring>=1 character
Account name.
typeenum

Financial Institution Account Type:

  • -1: Unknown
  • 0: Other
  • 1: Checking
  • 2: Savings
profileenum

Financial Institution Account Profile:

  • -1: Unknown
  • 0: Other
  • 1: Personal
  • 2: Business
verificationobject
accountNumberstring1-4 characters
Financial institution account number
routingNumberstring1-17 characters
Bank Routing Number provided by the selected account.
ibanstring>=1 character

IBAN (International Bank Account Number) is an internationally agreed system of identifying bank accounts across national borders

tokenstring>=1 character
Account token for the returned account. This can be used to identify duplicate bank accounts in your system.
accountIdstring
providerIdstring
paymentProviderobject
Details of the Financial institution
verifiedboolean
If true, the account is verified.
countryenum

2-character ISO code of the country for the bank account that was selected. Currently only the US, CA, UK, DE, and AU are supported.

Errors

400
Bad Request Error